Subject: [MMUSIC] Rtspspec-bugs digest, Vol 1 #68 - 2 msgs

From: [email-masked]
Date: Fri, 27 Dec 2002 12:14:53 -0800

This is an automatic digest of bugs submitted and changed on the RTSP bug tracker.  To see a list of bugs, visit:

http://sf.net/projects/rtspspec

When replying, please make your Subject line more specific than "Re: Rtspspec-bugs digest"

Today's Topics:

   1. [ rtspspec-Bugs-493054 ] IPv6 issues ([email-masked])
   2. [ rtspspec-Bugs-644626 ] RTSP URL's are case-sensitive ([email-masked])

--__--__--

Message: 1
To: [email-masked]
From: [email-masked]
Date: Thu, 26 Dec 2002 14:42:01 -0800
Subject: [rtspspec-bugs] [ rtspspec-Bugs-493054 ] IPv6 issues

Bugs item #493054, was opened at 2001-12-13 14:49
You can respond by visiting: 
https://sourceforge.net/tracker/?func=detail&atid=377744&aid=493054&group_id=23194

Category: General
Group: Fix for DS - Need WG Input
Status: Open
Resolution: None
Priority: 5
Submitted By: Nobody/Anonymous (nobody)
Assigned to: Rob Lanphier (robla)
Summary: IPv6 issues

Initial Comment:
Need a second audit of IPv6 stuff.

Here's an initial survey of IPv6 readiness by Philip J. Nesser II ([email-masked])
http://www.ietf.org/internet-drafts/draft-ietf-ngtrans-ipv4survey-01.txt

Section 3.2 RTSP URL defines:

   The "rtsp" and "rtspu" schemes are used to refer to network resources
   via the RTSP protocol. This section defines the scheme-specific
   syntax and semantics for RTSP URLs.

   rtsp_URL  =   ( "rtsp:" | "rtspu:" )
                 "//" host [ ":" port ] [ abs_path ]
   host      =   <A legal Internet host domain name of IP address
                 (in dotted decimal form), as defined by Section 2.1
                 of RFC 1123 \cite{rfc1123}>
   port      =   *DIGIT

Althought later in that section the following text is added:

   The use of IP addresses in URLs SHOULD be avoided whenever possible
   (see RFC 1924 [19]).

----------------------------------------------------------------------

>Comment By: Rob Lanphier (robla)
Date: 2002-12-26 14:42

Message:
Logged In: YES 
user_id=3796

Discussed at 2002-Dec-11 telecon

http://rtsp.org/2002/telecon/minutes11Dec.html#section2.2.3

RESOLUTION: accepted that IPv6 should be added to spec
Colin: feature tag should be taken up as separate issue
Magnus: people should look at spec for feature tag
ACTION ITEM (all): read spec for how feature tag works

----------------------------------------------------------------------

Comment By: Magnus Westerlund (magwes)
Date: 2002-10-30 03:50

Message:
Logged In: YES 
user_id=302620

An IPv6 explanation chapter started in the connetion
chapter. May need more text. 

----------------------------------------------------------------------

Comment By: Magnus Westerlund (magwes)
Date: 2002-10-30 03:31

Message:
Logged In: YES 
user_id=302620

The specification has been updated so that URL's can handle
IPv6 in them. A note of caution that this will cause
interoperability problems has also been added. 

Propose that a chapter is written on IPv4/IPv6
Interoperability to better explain the issues. Demand that
implementers of option-tag "play.basic" supports IPv6 so
that this can be checked before trying.

----------------------------------------------------------------------

Comment By: Jonathan Sergent (sergent)
Date: 2002-01-15 09:27

Message:
Logged In: YES 
user_id=79184

We have implemented IPv6 in our RTSP server.  The above
issue--strings in URLs--is not particularly relevant to us
since we do not attempt to parse the host and port
information in our server (we just treat it as a string),
and we do not have an RTSP client.

The issue that is not mentioned above that is much more
significant is the Transport header's handling of
addresses.  The grammar does not allow IPv6 addresses.

We will deliver RTP over IPv6 if it can be negotiated
without passing addresses through the Transport header (i.e.
no multicast, and source and destination are the same as the
RTSP endpoints).  If we can decide on the format for this,
we will be able to implement it and try it out.

I think that some rules need to be set out w.r.t. the use of
mapped addresses and such in the header.  And should IPv6
potentially be negotiated as a different protocol in the
header?  (i.e. Transport:
RTP/AVP/UDP6;unicast;foo,RTP/AVP/UDP;unicast;bar to indicate
a preference for V6 over V4)

Also, it should probably be clarified that c=IN IP4 0.0.0.0
in SDP is just a flag value and does not indicate the
preference or the availability of V4, only that the
parameters will be negotiated at SETUP time.

----------------------------------------------------------------------

You can respond by visiting: 
https://sourceforge.net/tracker/?func=detail&atid=377744&aid=493054&group_id=23194

--__--__--

Message: 2
To: [email-masked]
From: [email-masked]
Date: Thu, 26 Dec 2002 14:43:42 -0800
Subject: [rtspspec-bugs] [ rtspspec-Bugs-644626 ] RTSP URL's are case-sensitive

Bugs item #644626, was opened at 2002-11-27 01:30
You can respond by visiting: 
https://sourceforge.net/tracker/?func=detail&atid=377744&aid=644626&group_id=23194

Category: General
Group: Fix for DS - Typo/Thinko
Status: Open
Resolution: None
Priority: 5
Submitted By: Magnus Westerlund (magwes)
Assigned to: Rob Lanphier (robla)
Summary: RTSP URL's are case-sensitive

Initial Comment:
It should be explicitly stated that the path part of
the RTSP URL is case sensitive. This is specified in
RFC 2326 by reference to the HTTP path component. This
seems very relevant to clarify.

See HTTP for what text to add.

----------------------------------------------------------------------

>Comment By: Rob Lanphier (robla)
Date: 2002-12-26 14:43

Message:
Logged In: YES 
user_id=3796

http://www.rtsp.org/2002/telecon/minutes11Dec.html#section2.2.1

>  Thomas: just needs to be clarified
>  Magnus: any objections?
>  (silence)

----------------------------------------------------------------------

You can respond by visiting: 
https://sourceforge.net/tracker/?func=detail&atid=377744&aid=644626&group_id=23194

End of Rtspspec-bugs Digest

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic